Rhev host updation, memory field greyed but still editable

07/05/2018 07:48 AM - Shira Maximov

Status: Closed   

Priority: Normal   

Assignee: Shira Maximov   

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1517257 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6258

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1517257

Description of problem:

Version-Release number of selected component (if applicable):

Build:Satellite 6.3.0 snap26

How reproducible:

Always

Steps to Reproduce:

1. Provsion a Host on RHEV

2. Edit the host, go to Virtual machine tab. All options are greyed

3. Use the min max controller to increase the memory

Actual results:

The increase memory Config is sent to rhev and is applied on the Host's next run

Expected results:

1) The Memory field shouldn't be greyed out and it should show a not on editing, that changes would take effect in next run

OR

2) If we don't want the configuration edited from satellite ,Completely disable the min max field.

I think we should go with 1.

Additional info:

This behavior doesn't Happen with CPU Cores

Associated revisions

Revision 7e8995b8 - 05/21/2019 12:41 PM - Shira Maximov

Fixes #24160 - Remove input arrows when input is disabled

History

#1 - 11/18/2018 01:06 PM - Shira Maximov

- Status changed from New to Assigned

- Assignee set to Shira Maximov

#2 - 11/18/2018 01:18 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6258 added
#3 - 05/21/2019 01:01 PM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset 7e8995b87171f511857b33b41557e7a2d703256e.
